Google 致力于为黑人社区推动种族平等。查看具体举措
此页面由 Cloud Translation API 翻译。
Switch to English

sdk28ModuleController

public class Sdk28ModuleController
extends BaseModuleController

java.lang.Object
com.android.tradefed.testtype.suite.module.BaseModuleController
com.android.tradefed.testtype.suite.module.Sdk28ModuleController


用于检查设备是否在SDK 28(Android 9)或更高版本上的模块控制器。这用于解决b / 78780430,在b / 78780430上,由于仅ARM64预先选择了目标软件包,因此在Android 8.1 armeabi-v7a设备上,安装会崩溃。

通过将以下行添加到您的AndroidTest.xml来使用:

概要

公共建设者

Sdk28ModuleController ()

公开方法

IModuleController.RunStrategy shouldRun (IInvocationContext context)

决定模块是否应该运行的方法。

公共建设者

sdk28ModuleController

public Sdk28ModuleController ()

公开方法

应该运行

public IModuleController.RunStrategy shouldRun (IInvocationContext context)

决定模块是否应该运行的方法。

参量
context IInvocationContext :模块的IInvocationContext

退货
IModuleController.RunStrategy如果模块应该运行,则为true,否则为false。